[unstable branch] Steam-Manjaro/native "next gen"

unstable
steam

#1

Thanks to @Tidscontribution yesterday @Kirek was able to integrate and add improved and restructured packages steam-manjaro 1.0.0.54-3 and steam-native 1.0.0.54-4. :slight_smile:
Please test and report your findings here.


#2

Can both be installed simultanously, just like in the previous versions?

Because whichever one I install, or both, I only get one icon. I used to have get one for STEAM_RUNTIME=1 and one for STEAM_RUNTIME=0.

Now I can’t even tell which one the launch icon I get is for.


#3

Now you have only one icon because @Tids create a little check to start the proper ‘steam’

From our github repo :
To make it more clean, it’ll not create a secound launcher, but activates the option in the manjaro client to load the native runtime in the most simple way:

# Steam runtime settings
# if STEAM_RUNTIME=1, ignore this entirely
if [ "${STEAM_RUNTIME}" != "0" ]
    then
        # if steam-native package is installed, enable native runtime
        # and disable mesa-workarounds
        if [ -f "/usr/lib/steam/native_runtime.txt" ]
            then
                export STEAM_RUNTIME=0
                echo "Manjaro steam native configuration found!"
        fi
fi

That is needed because steam starts itself, when you launch a game via menu-entry and if we have 2 launcher “steam” & “steam-native” it’ll launch steam with the steam runtime, even if native is installed. With my way it’ll of course only use the native runtime, when it is installed.

:slight_smile:

Sorry for incorrect formattation but i’m on smartphone - (house-elf fixed it :wink: )


#4

Thanks, I read that part earlier but your explanation was more easier to understand. :slight_smile:

Personally, I prefer it the way it was as it’s more work to open up a terminal and uninstall steam-native instead of just clicking on an icon.

But (and this but is the size of Serena WIlliams’!), the games that require STEAM_RUNTIME=1 in order to work, seem to be a lot fewer than they were a few years ago.

I could had sworn I had one or two installed, can’t remember which as it was a long time ago I played them. But can’t find one to try with the new Steam packages. According to the list of troubleshooted Steam games in the Arch Linux wiki, Game Dev Tycoon and XCOM are supposedly two games that require STEAM_RUNTIME=1. But both run just fine for me when I have steam-native and steam-manjaro installed.

I did notice one peculiarity, should steam-native be installable without steam-manjaro? Shouldn’t it be a dependency?


#5

if steam-manjaro is installed, it’ll use the steam runtime, if steam native is installed it will use the native runtime.

That was one of the main goals because i always had bad sound when using steam runtime. Now i have installed the native one and all the sound problems are fixed. BUT every single time i was starting a game via menu and steam was not already running, it was using the steam runtime instead the native one and i had to kill the game, shut down steam, start steam again and start the game.

the environment variables should still work, if you prefer them. :slight_smile:


#6

Seems I was a bit quick to jump the gun there… Game Dev Tycoon doesn’t work with steam-native installed, which according to the Arch wiki is because of “missing libudev.so.0”.

Uninstalling steam-native and running it using steam-manjaro works, just as intended. So yep, the STEAM_RUNTIME switch works fine.

I still prefer the less cumbersome way of having a separate icon, as it’s more work to uninstall 45 depedencies included in steam-native just to get a few troublesome games to work and then reinstall it all again.

[quote=“Tids, post:5, topic:16247”]
the environment variables should still work, if you prefer them. :slight_smile:
[/quote]Marvelous!!! That’s a done deal for me! :heart_eyes:


#7

libudev0-shim lib32-libudev0-shim should provide libudev.so.0 for the steam native runtime. could you start steam (and then the game) via terminal. maybe its missing something else?


#8

With both libudev0-shim and lib32-libudev0-shim installed, I get this:

[code]Game update: AppID 239820 “Game Dev Tycoon”, ProcID 12356, IP 0.0.0.0:0
ERROR: ld.so: object ‘/home/user/.local/share/Steam/ubuntu12_32/gameoverlayrenderer.so’ from LD_PRELOAD cannot be preloaded (wrong ELF class: ELFCLASS32): ignored.
ERROR: ld.so: object ‘/home/user/.local/share/Steam/ubuntu12_32/gameoverlayrenderer.so’ from LD_PRELOAD cannot be preloaded (wrong ELF class: ELFCLASS32): ignored.
ERROR: ld.so: object ‘/home/user/.local/share/Steam/ubuntu12_32/gameoverlayrenderer.so’ from LD_PRELOAD cannot be preloaded (wrong ELF class: ELFCLASS32): ignored.

Adding process 12356 for game ID 239820
ERROR: ld.so: object ‘/home/user/.local/share/Steam/ubuntu12_32/gameoverlayrenderer.so’ from LD_PRELOAD cannot be preloaded (wrong ELF class: ELFCLASS32): ignored.
ERROR: ld.so: object ‘/home/user/.local/share/Steam/ubuntu12_32/gameoverlayrenderer.so’ from LD_PRELOAD cannot be preloaded (wrong ELF class: ELFCLASS32): ignored.
ERROR: ld.so: object ‘/home/user/.local/share/Steam/ubuntu12_32/gameoverlayrenderer.so’ from LD_PRELOAD cannot be preloaded (wrong ELF class: ELFCLASS32): ignored.
ERROR: ld.so: object ‘/home/user/.local/share/Steam/ubuntu12_32/gameoverlayrenderer.so’ from LD_PRELOAD cannot be preloaded (wrong ELF class: ELFCLASS32): ignored.
./gamedevtycoon64-bin: symbol lookup error: ./gamedevtycoon64-bin: undefined symbol: udev_device_get_subsystem[/code]
I think the gameoverlayrenderer errors can be ignored, I get them with almost every game being native 64 bit with Steam insisting on linking 32 bit libs to it.

The bug isn’t Arch nor Manjaro specific, I’ve found it reported by other distro users (Ubuntu, Xubuntu, CentOS, on the Steam forums and the devs’ forum as well: https://forum.greenheartgames.com/t/linux-common-problems-and-solutions/2090


#9
#!/bin/bash
arch=`uname -m`
if [ "$arch" == "x86_64" ] || [ "$arch" == "amd64" ]
then
  cp -a ./steamIntegration/64/libffmpegsumo.so ./libffmpegsumo.so
  cp -a ./steamIntegration/64/nw.pak ./nw.pak
  LD_LIBRARY_PATH=./steamIntegration/64
  export LD_LIBRARY_PATH
  paths=(
    "/lib/x86_64-linux-gnu/libudev.so.0" # Ubuntu, Xubuntu, Mint
    "/usr/lib64/libudev.so.0" # SUSE, Fedora
  )
  for i in "${paths[@]}"
  do
    if [ -f $i ]
    then
      ln -sf "$i" ./steamIntegration/64/libudev.so.1
      break
    fi
  done
  exec ./gamedevtycoon64-bin $@
else
  cp -a ./steamIntegration/32/libffmpegsumo.so ./libffmpegsumo.so
  cp -a ./steamIntegration/32/nw.pak ./nw.pak
  LD_LIBRARY_PATH=./steamIntegration/32
  export LD_LIBRARY_PATH
  paths=(
    "/usr/lib/libudev.so.0" # Arch, Fedora 32bit
    "/lib/i386-linux-gnu/libudev.so.0" # Ubuntu 32bit
  )
  for i in "${paths[@]}"
  do
    if [ -f $i ]
    then
      ln -sf "$i" ./steamIntegration/32/libudev.so.1
      break
    fi
  done
  exec ./gamedevtycoon-bin $@
fi

It’ll not start because of the game startup script. Can you write a bugreport to the developers, so they can update just the script or remove it completely?

The thing is - the game itself links against udev.1

ldd '/home/share/Steam_Fabian/steamapps/common/Game Dev Tycoon/gamedevtycoon64-bin'
[...]
libdbus-1.so.3 => /usr/lib/libdbus-1.so.3 (0x00007fbbdc824000)
libudev.so.1 => /usr/lib/libudev.so.1 (0x00007fbbe1274000)
libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x00007fbbdc49c000)
[...]

Now when i run the game directly everything works fine! The problem seems to be that the startup script forces to link against the udev0 lib for some stupid reason…

So not a steam error, not a native library error, its just the game-startup-script Game Dev Tycoon/start.sh that does bad things.

OK bugreport was send. Lets hope they’ll do something since its such a small change to make it work everywhere


#10

steam-manjaro 1.0.0.54-3 and steam-native 1.0.0.54-4.
Terminal Output…

[leandro@manjaro ~]$ steam
Repairing installation, linking /home/leandro/.steam/steam to /home/leandro/.local/share/Steam
Running Steam on manjarolinux 16.10 64-bit
STEAM_RUNTIME is enabled automatically
Installing breakpad exception handler for appid(steam)/version(0)
/home/leandro/.local/share/Steam/ubuntu12_32/steam: symbol lookup error: /usr/lib32/libxcb-dri3.so.0: undefined symbol: xcb_send_request_with_fds
/home/leandro/.local/share/Steam/steam.sh: linha 444: without correspondence: ssfn*

I am searching for instructions of what should be done.

Arch Wiki - STEAM


#11

can you try

steam --reset

?

That means the steam-native is not installed.


#12

also dont forget that there was a huge change for the linux client of steam that has changed everything for the driver handling
http://store.steampowered.com/news/26953/

  • Improved interactions between the Steam runtime and host distribution libraries, which should let Steam work out of the box with open-source graphics drivers on modern distributions. If using an older distribution or running into problems, use STEAM_RUNTIME_PREFER_HOST_LIBRARIES=0 to revert to previous behavior.
  • Updated libxcb in the runtime with a fix for DRI3-related crashes on open-source graphics drivers

Please DON’T start steam with

DRI_PRIME=1 steam

or

optirun steam

but add those commands as launch options to the game itself now

DRI_PRIME=1 %command%
optirun %command%

#13

Yes, after I installed it steam-native

[2017-01-23 20:39] [ALPM] removed tcp_wrappers (7.6-17)
[2017-01-23 20:39] [ALPM] removed lib32-tcp_wrappers (7.6-19)
[leandro@manjaro ~]$ steam
Manjaro steam native configuration found!
Repairing installation, linking /home/leandro/.steam/steam to /home/leandro/.local/share/Steam
Running Steam on manjarolinux 16.10 64-bit
STEAM_RUNTIME is disabled by the user
Installing breakpad exception handler for appid(steam)/version(0)
Installing breakpad exception handler for appid(steam)/version(1.0)
Installing breakpad exception handler for appid(steam)/version(1.0)
Installing breakpad exception handler for appid(steam)/version(1.0)
ILocalize::AddFile() failed to load file “public/steambootstrapper_english.txt”.
[2017-01-23 20:43:15] Startup - updater built Nov 23 2016 01:05:42
[2017-01-23 20:43:15] Verifying installation…
[2017-01-23 20:43:15] Unable to read and verify install manifest /home/leandro/.local/share/Steam/package/steam_client_ubuntu12.installed
[2017-01-23 20:43:15] Verification complete
[2017-01-23 20:43:15] Downloading Update…
[2017-01-23 20:43:15] Checking for available update…
[2017-01-23 20:43:16] Package file tenfoot_misc_all.zip.008ed314d467eecacba58d188fdf082d23f264d2 missing or incorrect size
[2017-01-23 20:43:16] Package file tenfoot_dicts_all.zip.87bb49891925214df2d745e12a53518fd2ea86f0 missing or incorrect size
[2017-01-23 20:43:16] Package file tenfoot_fonts_all.zip.vz.7673e4cd32b6752bc621d8bc1a7118a9af19b64a_12077027 missing or incorrect size
[2017-01-23 20:43:16] Package file tenfoot_ambientsounds_all.zip.12963b9dbc3d331e26559cc2d323ca0661942b6b missing or incorrect size
[2017-01-23 20:43:16] Package file tenfoot_sounds_all.zip.vz.ffef2b2fc386819a842ea79484b966a937c2ca7e_1209792 missing or incorrect size
[2017-01-23 20:43:16] Package file tenfoot_images_all.zip.vz.1ea174b9274bc15e751452adabc94a6715ed70a0_29396785 missing or incorrect size
[2017-01-23 20:43:16] Package file tenfoot_all.zip.vz.e4a11bb87dc8b22885d6055f4936fac950f89efb_2241396 missing or incorrect size
[2017-01-23 20:43:16] Package file resources_misc_all.zip.vz.6596f073f874e66a5af7a41ca94e54e1b091fcb7_2030550 missing or incorrect size
[2017-01-23 20:43:16] Package file resources_all.zip.vz.e4473120a4f4551fe56a1c0b4fb67259933019ea_5053566 missing or incorrect size
[2017-01-23 20:43:16] Package file strings_en_all.zip.vz.7aefc1efc5399dfa43bdcbbff81ca5e91ceef8d5_85183 missing or incorrect size
[2017-01-23 20:43:16] Package file strings_all.zip.vz.9ab6f6eb09277026e95ed10a9b92c4ea54fc6435_2082869 missing or incorrect size
[2017-01-23 20:43:16] Package file remoteui_all.zip.vz.36b190ff2ea81b6665e7a2bcc98d80c00a9a3517_141317 missing or incorrect size
[2017-01-23 20:43:16] Package file public_all.zip.vz.bd48966f8a6143e1ef4d14b39a03775aa699623e_816335 missing or incorrect size
[2017-01-23 20:43:16] Package file bins_ubuntu12.zip.vz.820d6d40f511509f17d4681722fd8026da2b38ba_16231428 missing or incorrect size
[2017-01-23 20:43:16] Package file bins_pub_ubuntu12.zip.vz.75de75cc072b8931cdb56710db5674d7a01bc3c4_9050756 missing or incorrect size
[2017-01-23 20:43:16] Package file bins_sdk_ubuntu12.zip.vz.9f6fd7a713f78838221d01bd53d810e147acc27e_9980523 missing or incorrect size
[2017-01-23 20:43:16] Package file bins_codecs_ubuntu12.zip.vz.84b14918e1591ffd02e819b8f7fc79315dbedb03_1832666 missing or incorrect size
[2017-01-23 20:43:16] Package file bins_misc_ubuntu12.zip.4c639ab22a1fe076ff2b705be55ee59f4c6b1122 missing or incorrect size
[2017-01-23 20:43:16] Package file webkit_ubuntu12.zip.vz.ea5e4def93c6c6adde86a3d7f799f033c1aadbf3_43156347 missing or incorrect size
[2017-01-23 20:43:16] Package file miles_ubuntu12.zip.vz.4fd048667c97ef6eb976f4c42ce5c18f8695ac9e_295483 missing or incorrect size
[2017-01-23 20:43:16] Package file sdl2_ubuntu12.zip.vz.027ab60ca59091ca05ddce646a00116aefc06b3a_270533 missing or incorrect size
[2017-01-23 20:43:16] Package file steam_ubuntu12.zip.vz.39ecc4b92f32b48e4490f1ed82d52432f078ac25_1384716 missing or incorrect size
[2017-01-23 20:43:16] Package file runtime_part0_ubuntu12.zip.7cb113a5d6be4486ecd4873ea6460a30f8050ae8 missing or incorrect size
[2017-01-23 20:43:16] Package file runtime_part1_ubuntu12.zip.f6f98a289f5af2c121b04cb9ede621b16f4c8dd0 missing or incorrect size
Installing breakpad exception handler for appid(steam)/version(1484790260)
Installing breakpad exception handler for appid(steam)/version(1484790260)
Installing breakpad exception handler for appid(steam)/version(1484790260)
Installing breakpad exception handler for appid(steam)/version(1484790260)
Installing breakpad exception handler for appid(steam)/version(1484790260)
Installing breakpad exception handler for appid(steam)/version(1484790260)
Installing breakpad exception handler for appid(steam)/version(1484790260)
Installing breakpad exception handler for appid(steam)/version(1484790260)
Installing breakpad exception handler for appid(steam)/version(1484790260)


#14

all these

are somehow strange. Not what I get after a --reset :sweat_smile:

can it be that you have started steam with sudo/root once?

sudo chown $USER:$USER -Rc $HOME/.local/share/Steam
steam --reset
steam

would fix that.


#15

[leandro@manjaro ~]$ sudo chown $leandro:$leandro -Rc $HOME/.local/share/Steam
[sudo] senha para leandro:
[leandro@manjaro ~]$ steam --reset
Manjaro steam native configuration found!
/home/leandro/.local/share/Steam/steam.sh: linha 444: sem correspondência: ssfn*
Running Steam on manjarolinux 16.10 64-bit
STEAM_RUNTIME is disabled by the user
Installing breakpad exception handler for appid(steam)/version(1484790260)
Installing breakpad exception handler for appid(steam)/version(1484790260)

(steam:22787): Gtk-WARNING **: Não foi possível localizar a ferramenta de temas no module_path: “adwaita”,

(steam:22787): Gtk-WARNING **: Não foi possível localizar a ferramenta de temas no module_path: “adwaita”,

(steam:22787): Gtk-WARNING **: Não foi possível localizar a ferramenta de temas no module_path: “murrine”,

(steam:22787): Gtk-WARNING **: Não foi possível localizar a ferramenta de temas no module_path: “murrine”,

(steam:22787): Gtk-WARNING **: Não foi possível localizar a ferramenta de temas no module_path: “murrine”,

(steam:22787): Gtk-WARNING **: Não foi possível localizar a ferramenta de temas no module_path: “murrine”,

(steam:22787): Gtk-WARNING **: Não foi possível localizar a ferramenta de temas no module_path: “murrine”,

(steam:22787): Gtk-WARNING **: Não foi possível localizar a ferramenta de temas no module_path: “murrine”,

(steam:22787): Gtk-WARNING **: Não foi possível localizar a ferramenta de temas no module_path: “murrine”,

(steam:22787): Gtk-WARNING **: Não foi possível localizar a ferramenta de temas no module_path: “murrine”,

(steam:22787): Gtk-WARNING **: Não foi possível localizar a ferramenta de temas no module_path: “murrine”,

(steam:22787): Gtk-WARNING **: Não foi possível localizar a ferramenta de temas no module_path: “murrine”,

(steam:22787): Gtk-WARNING **: Não foi possível localizar a ferramenta de temas no module_path: “murrine”,
Installing breakpad exception handler for appid(steam)/version(1484790260)
Installing breakpad exception handler for appid(steam)/version(1484790260)
Installing breakpad exception handler for appid(steam)/version(1484790260)
Installing breakpad exception handler for appid(steam)/version(1484790260)
Installing breakpad exception handler for appid(steam)/version(1484790260)
Installing breakpad exception handler for appid(steam)/version(1484790260)
Installing breakpad exception handler for appid(steam)/version(1484790260)
Installing breakpad exception handler for appid(steam)/version(1484790260)
Installing breakpad exception handler for appid(steam)/version(1484790260)
Generating new string page texture 12: 48x256, total string texture memory is 49,15 KB
Generating new string page texture 13: 256x256, total string texture memory is 311,30 KB
Generating new string page texture 14: 128x256, total string texture memory is 442,37 KB
Refresh rate: 1
Refresh rate: 1
Refresh rate: 1
Refresh rate: 1
Refresh rate: 1
Refresh rate: 1
Refresh rate: 1
Refresh rate: 1
Refresh rate: 1
Refresh rate: 1
Refresh rate: 1
Refresh rate: 1
Refresh rate: 1
Refresh rate: 1
Refresh rate: 1
Refresh rate: 1
Refresh rate: 1
Refresh rate: 1
[2017-01-24 16:58:10] Startup - updater built Jan 19 2017 01:22:13
[2017-01-24 16:58:11] Verifying installation…
[2017-01-24 16:58:11] Verification complete
[2017-01-24 16:58:28] Shutdown


#16

Looks good now (and no, your permissions are ok). Does it also work without steam-native?


#17

We have to test… :slight_smile:


#18

switching from steam-manjaro to steam-native, I got the following message:

[code]sudo pacman -S steam-native
Löse Abhängigkeiten auf…
Suche nach in Konflikt stehenden Paketen…
:: steam-native und tcp_wrappers stehen miteinander in Konflikt. tcp_wrappers entfernen? [j/N] j
:: steam-native und lib32-tcp_wrappers stehen miteinander in Konflikt. lib32-tcp_wrappers entfernen? [j/N] j
:: lib32-libudev0-shim und lib32-libudev0 stehen miteinander in Konflikt. lib32-libudev0 entfernen? [j/N] j

Pakete (33) glew1.10-1.10.0-1 lib32-freeglut-3.0.0-1 lib32-giflib-5.1.4-1 lib32-imlib2-1.4.9-1 lib32-libcaca-0.99.beta19-1 lib32-libcurl-compat-7.52.1-1.1 lib32-libid3tag-0.15.1b-1 lib32-libmodplug-0.8.8.5-6 lib32-librtmp0-2.4-1 lib32-libtheora-1.1.1-10
lib32-libtiff4-3.9.7-1 lib32-libudev0-182-1 [Entferne] lib32-libudev0-shim-1-3 lib32-libvpx1.3-1.3.0-1 lib32-libwrap-7.6.24-2 lib32-sdl2_mixer-2.0.1-1 lib32-sdl2_ttf-2.0.14-2 lib32-sdl_ttf-2.0.11-3 lib32-smpeg2-2.0.0-2 lib32-tcp_wrappers-7.6-19 [Entferne]
libgcrypt15-1.5.6-1 libjpeg6-turbo-1.5.1-1 librtmp0-2.4-1 libtiff4-3.9.7-1 libudev0-shim-1-2 libvpx1.3-1.3.0-1 libwrap-7.6.24-3 sdl2_mixer-2.0.1-1 sdl2_ttf-2.0.14-1 sdl_ttf-2.0.11-3 smpeg2-1:2.0.0-2 tcp_wrappers-7.6-17 [Entferne] steam-native-1.0.0.54-4

Gesamtgröße des Downloads: 3,32 MiB
Gesamtgröße der installierten Pakete: 11,11 MiB
Größendifferenz der Aktualisierung: 10,81 MiB

:: Installation fortsetzen? [J/n] j
:: Empfange Pakete…
smpeg2-1:2.0.0-2-x86_64 83,5 KiB 2,20M/s 00:00 [##########################################################################################################] 100%
sdl2_mixer-2.0.1-1-x86_64 70,7 KiB 6,90M/s 00:00 [##########################################################################################################] 100%
sdl2_ttf-2.0.14-1-x86_64 17,4 KiB 0,00B/s 00:00 [##########################################################################################################] 100%
sdl_ttf-2.0.11-3-x86_64 14,5 KiB 0,00B/s 00:00 [##########################################################################################################] 100%
glew1.10-1.10.0-1-x86_64 100,9 KiB 531K/s 00:00 [##########################################################################################################] 100%
libgcrypt15-1.5.6-1-x86_64 216,5 KiB 3,52M/s 00:00 [##########################################################################################################] 100%
libjpeg6-turbo-1.5.1-1-x86_64 96,1 KiB 335K/s 00:00 [##########################################################################################################] 100%
librtmp0-2.4-1-x86_64 46,4 KiB 15,1M/s 00:00 [##########################################################################################################] 100%
libtiff4-3.9.7-1-x86_64 122,5 KiB 3,23M/s 00:00 [##########################################################################################################] 100%
libudev0-shim-1-2-x86_64 3,7 KiB 0,00B/s 00:00 [##########################################################################################################] 100%
libvpx1.3-1.3.0-1-x86_64 605,5 KiB 2,53M/s 00:00 [##########################################################################################################] 100%
libwrap-7.6.24-3-x86_64 18,8 KiB 0,00B/s 00:00 [##########################################################################################################] 100%
lib32-freeglut-3.0.0-1-x86_64 90,4 KiB 2,94M/s 00:00 [##########################################################################################################] 100%
lib32-giflib-5.1.4-1-x86_64 18,0 KiB 0,00B/s 00:00 [##########################################################################################################] 100%
lib32-libid3tag-0.15.1b-1-x86_64 26,6 KiB 0,00B/s 00:00 [##########################################################################################################] 100%
lib32-imlib2-1.4.9-1-x86_64 171,0 KiB 2,93M/s 00:00 [##########################################################################################################] 100%
lib32-libcaca-0.99.beta19-1-x86_64 184,0 KiB 2,99M/s 00:00 [##########################################################################################################] 100%
lib32-libcurl-compat-7.52.1-1.1-x86_64 214,3 KiB 3,12M/s 00:00 [##########################################################################################################] 100%
lib32-librtmp0-2.4-1-x86_64 49,9 KiB 8,13M/s 00:00 [##########################################################################################################] 100%
lib32-libtheora-1.1.1-10-x86_64 149,6 KiB 3,65M/s 00:00 [##########################################################################################################] 100%
lib32-libtiff4-3.9.7-1-x86_64 126,7 KiB 3,34M/s 00:00 [##########################################################################################################] 100%
lib32-libudev0-shim-1-3-x86_64 3,6 KiB 0,00B/s 00:00 [##########################################################################################################] 100%
lib32-libvpx1.3-1.3.0-1-x86_64 630,6 KiB 2,99M/s 00:00 [##########################################################################################################] 100%
lib32-libwrap-7.6.24-2-x86_64 16,6 KiB 0,00B/s 00:00 [##########################################################################################################] 100%
lib32-libmodplug-0.8.8.5-6-x86_64 147,0 KiB 3,99M/s 00:00 [##########################################################################################################] 100%
lib32-smpeg2-2.0.0-2-x86_64 75,0 KiB 7,32M/s 00:00 [##########################################################################################################] 100%
lib32-sdl2_mixer-2.0.1-1-x86_64 68,3 KiB 6,67M/s 00:00 [##########################################################################################################] 100%
lib32-sdl2_ttf-2.0.14-2-x86_64 15,4 KiB 0,00B/s 00:00 [##########################################################################################################] 100%
lib32-sdl_ttf-2.0.11-3-x86_64 12,0 KiB 0,00B/s 00:00 [##########################################################################################################] 100%
steam-native-1.0.0.54-4-x86_64 5,0 KiB 0,00B/s 00:00 [##########################################################################################################] 100%
(30/30) Prüfe Schlüssel im Schlüsselring [##########################################################################################################] 100%
(30/30) Überprüfe Paket-Integrität [##########################################################################################################] 100%
(30/30) Lade Paket-Dateien [##########################################################################################################] 100%
(30/30) Prüfe auf Dateikonflikte [##########################################################################################################] 100%
Fehler: Konnte den Vorgang nicht durchführen (In Konflikt stehende Dateien)
librtmp0: /usr/lib/librtmp.so.0 existiert im Dateisystem
libudev0-shim: /usr/lib/libudev.so.0 existiert im Dateisystem
lib32-librtmp0: /usr/lib32/librtmp.so.0 existiert im Dateisystem
Fehler sind aufgetreten, keine Pakete wurden aktualisiert.
[bs86@BS86-PC ~]$ sudo pacman -Syyu
:: Synchronisiere Paketdatenbanken…
core 143,1 KiB 2,09M/s 00:00 [##########################################################################################################] 100%
extra 1884,2 KiB 5,41M/s 00:00 [##########################################################################################################] 100%
community 4,1 MiB 4,45M/s 00:01 [##########################################################################################################] 100%
multilib 191,0 KiB 2,91M/s 00:00 [##########################################################################################################] 100%
repo-ck 52,3 KiB 917K/s 00:00 [##########################################################################################################] 100%
herecura 83,0 KiB 1766K/s 00:00 [##########################################################################################################] 100%
herecura-testing 29,0 B 0,00B/s 00:00 [##########################################################################################################] 100%
mesa-git 12,4 KiB 0,00B/s 00:00 [##########################################################################################################] 100%
:: Starte vollständige Systemaktualisierung…
Es gibt nichts zu tun
[/code]

Sorry for the German, but I know you understand it :wink:

Manually removing tcp_wrappers lib32-tcp_wrappers lib32-libudev0 did not solve the problem.

Edit: pacman -Qo shows that no other package owns those files.


#19

what about

file /usr/lib/librtmp.so.0 /usr/lib/libudev.so.0 /usr/lib32/librtmp.so.0

Lets hope this isnt also a similar bug like this: https://bugs.archlinux.org/task/52367 :unamused:


#20

Just wanted to edit my post again. Did this:

sudo mv /usr/lib/librtmp.so.0 /usr/lib/librtmp.so.0.bckup
sudo mv /usr/lib/libudev.so.0 /usr/lib/libudev.so.0.bckup
sudo mv /usr/lib32/librtmp.so.0 /usr/lib32/librtmp.so.0.bckup

After that the installation finished like intended.

Your command for those files:

[bs86@BS86-PC ~]$ file /usr/lib/librtmp.so.0.bckup /usr/lib/libudev.so.0.bckup /usr/lib32/librtmp.so.0.bckup /usr/lib/librtmp.so.0.bckup: symbolic link to librtmp.so.1 /usr/lib/libudev.so.0.bckup: symbolic link to /usr/lib/libudev.so.1 /usr/lib32/librtmp.so.0.bckup: symbolic link to librtmp.so.1

and:

[bs86@BS86-PC ~]$ file /usr/lib/librtmp.so.1 /usr/lib/libudev.so.1 /usr/lib32/librtmp.so.1 /usr/lib/librtmp.so.1: ELF 64-bit LSB shared object, x86-64, version 1 (SYSV), dynamically linked, BuildID[sha1]=13491d5ddf18aa6c230acc50b989417ab2f8a24e, stripped /usr/lib/libudev.so.1: symbolic link to libudev.so.1.6.5 /usr/lib32/librtmp.so.1: ELF 32-bit LSB shared object, Intel 80386, version 1 (SYSV), dynamically linked, BuildID[sha1]=7df01ed3706c3ff83aaf30279e32024fc9705341, stripped

and:

[bs86@BS86-PC ~]$ file /usr/lib/libudev.so.1.6.5 /usr/lib/libudev.so.1.6.5: ELF 64-bit LSB shared object, x86-64, version 1 (SYSV), dynamically linked, BuildID[sha1]=9e9b12da99b6bb8382997627ace7329e7b674d6e, stripped

Edit:
Steam is starting up fine

[bs86@BS86-PC ~]$ env STEAM_RUNTIME=0 /usr/bin/steam %U Manjaro steam native configuration found! Running Steam on manjarolinux 16.10 64-bit STEAM_RUNTIME is disabled by the user

Edit2: Now this is what I get for the newly installed files:

[bs86@BS86-PC ~]$ file /usr/lib/librtmp.so.0 /usr/lib/libudev.so.0 /usr/lib32/librtmp.so.0 /usr/lib/librtmp.so.0: ELF 64-bit LSB shared object, x86-64, version 1 (SYSV), dynamically linked, BuildID[sha1]=36d4ea6097174ca3743d915576767a6cd1ab4a36, stripped /usr/lib/libudev.so.0: symbolic link to libudev.so.0.0.9999 /usr/lib32/librtmp.so.0: ELF 32-bit LSB shared object, Intel 80386, version 1 (SYSV), dynamically linked, BuildID[sha1]=79caf2e01840c82ab067587e39ecd2dab835676f, stripped
and:

[bs86@BS86-PC ~]$ file /usr/lib/libudev.so.0.0.9999 /usr/lib/libudev.so.0.0.9999: ELF 64-bit LSB shared object, x86-64, version 1 (SYSV), dynamically linked, BuildID[sha1]=80ec93eb348f58366cf45625b68321b77743568a, stripped

EDIT: @Tids
I had in mind that i symlinked some libraries - found it:

so both librtmp’s were my own fault.
For libudev - I am not sure, but could be that it is also my fault and I don’t remember it anymore.